:root {
    --white: #fff;
    --beige: #f0eddb;
    --semiblack: #202020;
    --black: #111111;
    --green: #137d76;
    --accordion-content: #202020;
    --accordion-title: #000;
    --accordion-separator: #1d1a16;
}

* {
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
}

label,
button {
    cursor: pointer;
}

button {
    background: transparent;
    border: none;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
    color: inherit;
}

input[type="radio"] {
    position: absolute;
    left: -9999px;
    opacity: 0;
}

input,
textarea {
    border: none;
}

textarea {
    resize: none;
}

button,
input,
textarea {
    font-family: inherit;
    font-size: 100%;
    border-radius: 0;
    -webkit-appearance: none;
}

body {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 100vh;
    padding: 50px 0;
    font: 1rem/1.75 "Roboto Mono", monospace;
    /*background-color: var(--black);
    background-image: radial-gradient(var(--semiblack) 20%, transparent 0),
        radial-gradient(var(--semiblack) 20%, transparent 0);
    background-size: 20px 20px;
    background-position: 0 0, 10px 10px;*/
    background: var(--black) url(bk3.jpg) no-repeat top right / cover;
}

/* PAGE HEADER
â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“ */
.page-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: absolute;
    top: 20px;
    left: 20px;
    width: calc(100% - 40px);
}

.page-header .logo {
    position: relative;
    z-index: 1;
    width: 150px;
    height: 150px;
}

.page-header a,
.page-header svg {
    display: block;
}

.page-header .cta {
    position: relative; 
    font-weight: bold;
    border-radius: 25px;
    padding: 12px 24px;
    color: var(--white);
    background: #000080;
    border: 2px solid currentColor;
    transition: all 0.15s;
}

.page-header .cta:hover {
    box-shadow: 0 2px 20px 20px #0000FF;
}

/* ACCORDION
â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“ */
.accordion {
    position: relative;
    width: calc(100% - 20px);
    max-width: 900px;
    min-height: 380px;
    margin: 0 auto;
    background: var(--accordion-content);
    color: var(--white);
}

.accordion label {
    text-align: center;
}

.accordion,
.accordion > li,
.accordion .accordion-title {
    display: flex;
}

.accordion > li:not(:last-child) {
    border-right: 1px solid var(--accordion-separator);
}

.accordion > li:nth-child(3) .accordion-content {
    align-items: flex-start;
}

.accordion .accordion-title {
    flex-direction: column;
    justify-content: space-between;
    width: 70px;
    font-size: 1.4rem;
    font-weight: bold;
    padding: 20px 10px;
    background: var(--accordion-title);
    transition: color 0.15s;
}

.accordion .accordion-title:hover {
    color: var(--beige);
}

.accordion .accordion-heading {
    display: inline-block;
    white-space: nowrap;
    transform-origin: bottom;
    transform: rotate(-90deg) translate(50%, 50%);
}

.accordion .accordion-content {
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    padding: 20px;
}

.accordion .accordion-content > * + * {
    margin-top: 25px;
}

.accordion .accordion-content li {
    position: relative;
    padding-left: 25px;
}

.accordion .accordion-content li::before {
    content: "";
    position: absolute;
    top: 10px;
    left: 0;
    width: 0;
    height: 0;
    border-style: solid;
    border-color: transparent var(--white);
    border-width: 5px 0 5px 12px;
    transform: translateY(-50%);
}

.accordion .accordion-content li a,
.accordion .accordion-content li span {
    box-shadow: inset 0 -1px 0 var(--white);
    transition: all 0.15s cubic-bezier(0.29, 0.73, 0.74, 1.02);
}

.accordion .accordion-content li a:hover {
    color: var(--black);
    box-shadow: inset 0 -20px 0 var(--white);
}

.accordion .accordion-content li + li {
    margin-top: 15px;
}

.accordion .accordion-content .list-inline li {
    display: inline-block;
    margin: 0;
    padding: 0;
}

.accordion .accordion-content .list-inline li::before {
    display: none;
}

.accordion .accordion-content h2 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    font-size: 1.2rem;
    text-align: center;
}

.accordion .accordion-content h2 .separator {
    display: none;
}

.accordion .accordion-content h2 span:nth-child(3) {
    grid-row: 2;
    grid-column: 2;
}

.accordion .accordion-content h2 span:nth-child(5) {
    grid-row: 3;
    grid-column: 3;
}

.accordion .accordion-content .avatar  img{
    width: 200px;
    height: 200px;
}

.accordion .accordion-content-facts {
    margin-top: 30px;
}

[value="About"]:checked ~ .accordion [data-radio="about"],
[value="Specialization"]:checked ~ .accordion [data-radio="specialization"],
[value="Tools"]:checked ~ .accordion [data-radio="tools"],
[value="Contact"]:checked ~ .accordion [data-radio="contact"] {
    flex-grow: 1;
}

[value="About"]:checked ~ .accordion [for="about"] + .accordion-content,
[value="Specialization"]:checked
    ~ .accordion
    [for="specialization"]
    + .accordion-content,
[value="Tools"]:checked ~ .accordion [for="tools"] + .accordion-content,
[value="Contact"]:checked ~ .accordion [for="contact"] + .accordion-content {
    display: flex;
}

[value="About"]:checked ~ .accordion [for="about"],
[value="Specialization"]:checked ~ .accordion [for="specialization"],
[value="Tools"]:checked ~ .accordion [for="tools"],
[value="Contact"]:checked ~ .accordion [for="contact"] {
    color: var(--beige);
}

/* SOCIALS
â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“ */
.socials {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.socials svg {
    fill: var(--white);
    transition: all 0.15s;
}

.socials svg:hover {
    transform: translateY(-3px);
}

/* MODAL
â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“ */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: var(--white);
    background: var(--beige);
    visibility: hidden;
    opacity: 0;
    transition: all 0.2s;
}

.modal.is-visible {
    visibility: visible;
    opacity: 1;
}

.modal-dialog {
    position: relative;
    max-width: 500px;
    max-height: 80vh;
    width: calc(100% - 30px);
    border-radius: 5px;
    background: #000080;
    overflow: auto;
    cursor: default;
}

.modal-dialog > * {
    padding: 1rem;
}

.modal-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.modal-header svg {
    fill: var(--beige);
}

.modal-header .close-modal {
    display: flex;
}

.modal-content *:required {
    background: var(--white) url(asterisk.png) no-repeat center right
        15px / 15px 15px;
}

.modal-content textarea:required {
    background-position: top 15px right 15px;
}

.modal-content .form-group {
    display: flex;
    flex-direction: column;
    font-size: 16px;
    margin-bottom: 10px;
}

.modal-content .form-group-btn {
    flex-direction: row;
    justify-content: flex-end;
    margin: 30px 0 0;
}

.modal-content input {
    height: 35px;
}

.modal-content input,
.modal-content textarea {
    padding: 0 5px;
}

.modal-content button {
    font-weight: bold;
    border-radius: 30px;
    padding: 7px 15px;
    border: 2px solid currentColor;
    color: var(--black);
    background: var(--beige);
    text-transform: uppercase;
    transition: all 0.15s;
}

.modal-content button:hover {
    color: var(--beige);
    background:#000080;
}

/* MQ
â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“â€“ */
@media screen and (max-width: 1024px) {
    body {
        padding: 30px 0;
    }

    .page-header {
        position: static;
        padding: 0 10px;
        margin-bottom: 30px;
        width: 100%;
    }

    .accordion {
        min-height: 0;
    }

    .accordion,
    .accordion li {
        flex-direction: column;
    }

    .accordion > li:not(:last-child) {
        border-right: none;
        border-bottom: 1px solid var(--accordion-separator);
    }

    .accordion .accordion-title {
        flex-direction: row;
        width: auto;
    }

    .accordion .accordion-heading {
        transform: none;
    }

    .accordion .accordion-title,
    .accordion .accordion-content {
        padding: 40px;
    }

    .accordion .accordion-content h2 {
        font-size: 1.3rem;
    }
}

@media screen and (max-width: 700px) {
    .accordion .accordion-title,
    .accordion .accordion-content {
        padding: 20px;
    }

    .accordion .accordion-content .avatar {
        width: 160px;
        height: 160px;
    }

    .accordion .accordion-content h2 {
        display: block;
    }

    .accordion .accordion-content h2 .separator {
        display: inline;
    }
}

@media screen and (max-width: 500px) {
    .page-header .logo {
        width: 120px;
        height: 120px;
    }

    .accordion .accordion-content h2 {
        font-size: 1rem;
    }
}

@media screen and (max-height: 700px) {
    .is-modal-opened .logo {
        z-index: 0;
    }
}